=== debian/control ===
Source: openjdk-6
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Torsten Werner <twerner@debian.org>, Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 5), binutils-dev [armel armhf], m4, lsb-release, wget, zip, unzip, sharutils, gawk, cpio, pkg-config, procps, time, fastjar (>= 2:0.96-0ubuntu2),  autoconf, automake1.11, autotools-dev, ant, ant-optional, libtool [alpha amd64 armel armhf i386 lpia m68k mips mipsel powerpc s390], g++-4.8,  ecj-gcj [amd64 armel armhf arm64 hppa i386 ia64 lpia powerpc powerpcspe ppc64 ppc64el m68k mips mipsel sh4 sparc sparc64 s390 s390x], gcj-jdk [amd64 armel armhf arm64 hppa i386 ia64 lpia powerpc powerpcspe ppc64 ppc64el m68k mips mipsel sh4 sparc sparc64 s390 s390x], openjdk-6-jdk (>= 6b27) [alpha], libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libxinerama-dev, xsltproc, libkrb5-dev, rhino, fonts-ipafont-mincho, libffi-dev,  zlib1g-dev, libpng-dev, libjpeg-dev, libgif-dev, libpulse-dev (>= 0.9.12), libnss3-dev (>= 2:3.12.3),  mauve, xvfb, xauth, xfonts-base, libgl1-mesa-dri, twm, dbus-x11, x11-xkb-utils,
Standards-Version: 3.9.6
Homepage: http://openjdk.java.net/
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk6
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/openjdk6

Package: openjdk-6-jdk
Architecture: any
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-6-demo, openjdk-6-source, visualvm
Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk, java-compiler
Conflicts: openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1)
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-6-jre-headless
Architecture: any
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}, ${multiarch:Depends}
Depends: openjdk-6-jre-lib (= ${source:Version}), ${jredefault:Depends}, ${cacert:Depends}, ${tzdata:Depends}, ${jcommon:Depends}, ${dlopenhl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjl:Recommends}, ${cacao:Recommends}, ${jamvm:Recommends}
Suggests: libnss-mdns, sun-java6-fonts, ttf-dejavu-extra, fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-wqy-microhei | ttf-wqy-zenhei, ttf-indic-fonts-core, ttf-telugu-fonts, ttf-oriya-fonts, ttf-kannada-fonts, ttf-bengali-fonts,
Provides: java-runtime-headless, java2-runtime-headless, java5-runtime-headless, java6-runtime-headless, ${defaultvm:Provides}, ${jvm:Provides}
Replaces: openjdk-6-jre-lib (<< 6b23~pre10), openjdk-6-jre (<< 6b23~pre1), openjdk-6-jdk (<< 6b20-1.9.1-0ubuntu2)
Conflicts: ${multiarch:Conflicts}, openjdk-6-jre-lib (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1), openjdk-6-jdk (<< 6b17~pre3-1), openjdk-6-demo (<< 6b17~pre3-1), openjdk-6-source (<< 6b17~pre3-1), openjdk-6-doc (<< 6b17~pre3-1), openjdk-6-dbg (<< 6b17~pre3-1), openjdk-6-jre-zero (<< 6b17~pre3-1)
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-6-jre
Architecture: any
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre-headless (= ${binary:Version}), ${xandsound:Depends}, ${shlibs:Depends}, ${dlopenjre:Depends}, ${misc:Depends}, ${dep:bridge}
Recommends: ${dlopenjre:Recommends}, ttf-dejavu-extra, icedtea-netx
Suggests: icedtea-plugin, ${pkg:pulseaudio}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), openjdk-6-jre-lib (<< 6b17~pre3-1), openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jdk (<< 6b17~pre3-1), openjdk-6-demo (<< 6b17~pre3-1), openjdk-6-source (<< 6b17~pre3-1), openjdk-6-doc (<< 6b17~pre3-1), openjdk-6-dbg (<< 6b17~pre3-1), openjdk-6-jre-zero (<< 6b17~pre3-1)
Replaces: openjdk-6-jre-headless (<< 6b16~pre3), openjdk-6-jdk (<< 6b20-1.10~pre2-0ubuntu1)
Provides: java-runtime, java2-runtime, java5-runtime, java6-runtime
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-6-jre-lib
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre-headless (>= ${base:Version}), ${misc:Depends}
Recommends: ${dlopen:Recommends}
Conflicts: openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1)
Breaks: openjdk-6-jre-headless (<< 6b23~pre9-1~)
Built-Using: ${rhino:Source}
Description: OpenJDK Java runtime (architecture independent libraries)
 OpenJDK Java runtime, using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-6-demo
Architecture: any
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1)
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-6-source
Architecture: all
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre (>= ${source:Version}), openjdk-6-jdk (>= ${binary:Version}), ${misc:Depends}
Conflicts: openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1)
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-6-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: openjdk-6-jdk
Conflicts: openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1)
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-6-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre-headless (= ${binary:Version}), ${misc:Depends}
Recommends: openjdk-6-jre (= ${binary:Version})
Suggests: openjdk-6-jdk (= ${binary:Version})
Conflicts: openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1)
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: icedtea-6-jre-cacao
Architecture: alpha amd64 armel armhf i386 lpia powerpc m68k mips mipsel s390
Multi-Arch: same
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: icedtea6-jre-cacao
Description: Alternative JVM for OpenJDK, using Cacao
 The package provides an alternative runtime using the Cacao VM and the 
 Cacao Just In Time Compiler (JIT).  This is a somewhat faster alternative
 than the Zero port on architectures like alpha, armel, m68k, mips, mipsel,
 powerpc and s390.
 .
 The VM is started with the option `-cacao'. See the README.Debian for details.

Package: icedtea-6-jre-jamvm
Architecture: amd64 armel armhf i386 lpia mips mipsel powerpc
Multi-Arch: same
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Alternative JVM for OpenJDK, using JamVM
 The package provides an alternative runtime using the JamVM.  This is a
 somewhat faster alternative than the Zero port on architectures like armel,
 mips, mipsel, powerpc.
 .
 The VM is started with the option `-jamvm'. See the README.Debian for details.

Package: openjdk-6-jre-zero
Architecture: amd64 i386 lpia 
Multi-Arch: same
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-6-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Conflicts: openjdk-6-jre-headless (<< 6b17~pre3-1), openjdk-6-jre (<< 6b17~pre3-1)
Description: Alternative JVM for OpenJDK, using Zero/Shark
 The package provides an alternative runtime using the Zero VM and the 
 Shark Just In Time Compiler (JIT).  Built on architectures in addition
 to the Hotspot VM as a debugging aid for those architectures which don't
 have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.
