=== debian/watch ===
# debian/watch
# Debian uscan file for ‘openjdk-6’ package.
# Manpage: ‘uscan(1)’

# Dependencies: gpgv2
# GnuPG >= 2.1 is required to be able to handle the IcedTea key.

# Compulsory line, this is a version 4 file.
version=3

# Current automated tarball release at GitHub project.
opts="dversionmangle=s/^6b\d+-//,pgpsigurlmangle=s%$%.sig%" \
    http://icedtea.classpath.org/download/source/icedtea6-([\d\.]*).tar.xz \
    debian debian/repack
